* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                 */
/* This SPSS program will extract the United States Sentencing Commission's 2019 What */
/* DoesFederal Economic Crime Really Look Like report file and create a SAS dataset.      */
/*                                                                                                                                 */
/* Prior to running the program you must update the DAT file location in the                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your           */
/* computer.                                                                                                                 */
/*                                                                                                                                 */
/* You must also update the file output location in the SAVE OUTFILE statement at the     */
/* end of the program to correspond to the folder you want the output file to be located.       */
/*                                                                                                                                 */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\USSC_Economic_Report_2019_Public.dat" LRECL=78 .

DATA LIST FILE=DATA/
   SENSPLT0 1-6             USSCIDN 7-13             AGE 14-15             
   BOOKERCD 16-17           CIRCDIST 18-19           MONCIRC 20-21         
   MONRACE 22               MONSEX 23                NEWCIT 24             
   NEWEDUC 25               NEWRACE 26               SENTIMP 27            
   XCRHISSR 28              YEARS 29                 AMENDYR 30-33         
   ABUSHI 34                ADJ_BHI 35-36            ADJ_CHI 37            
   ADJ_DHI 38               ADJ_EHI 39               ADJ_FHI 40            
   ADJ_GHI 41               ADJ_HHI 42               ADJ_IHI 43            
   ADJ_JHI 44               ADJ_KHI 45-46            ADJ_LHI 47            
   ADJ_MHI 48               ADJ_NHI 49               ADJ_OHI 50            
   ADJ_PHI 51-52            ADJ_QHI 53-54            ADJ_RHI 55            
   ADJ_SHI 56               AGGROLHI 57              MITROLHI 58-59        
   LOSSHI 60-69             CODEMEYN 70              sophisticated_l 71 (A)
   fy 72-75                 ADJ_THI 76               econ_descending 77-78 .


FORMATS
  SENSPLT0 (F7.2) /        LOSSHI (F11.2) / .
    
VARIABLE LABELS
   USSCIDN 'USSCIDN'
   MONRACE 'MONRACE'
   MONSEX 'MONSEX'
   XCRHISSR 'XCRHISSR'
   AMENDYR 'AMENDYR'
.

SAVE OUTFILE='.\USSC_Economic_Report_2019_Public.sav'.
